﻿
namespace _03_Blend.Entities
{
	using System;

	using Windows.UI.Xaml.Data;
	using Windows.UI.Xaml.Media.Imaging;

	public class UriToImageConverter : IValueConverter
	{
		/// <summary>
		/// Converts the specified value.
		/// </summary>
		/// <param name="value">The value.</param>
		/// <param name="targetType">Type of the target.</param>
		/// <param name="parameter">The parameter.</param>
		/// <param name="language">The language.</param>
		/// <returns>Image uri based on providd state</returns>
		public object Convert(object value, Type targetType, object parameter, string language)
		{
			Uri uri = value as Uri;
			if (uri == null) return null;
			return new BitmapImage(uri);
		}

		/// <summary>
		/// Converts the back.
		/// </summary>
		/// <param name="value">The value.</param>
		/// <param name="targetType">Type of the target.</param>
		/// <param name="parameter">The parameter.</param>
		/// <param name="language">The language.</param>
		/// <returns></returns>
		public object ConvertBack(object value, Type targetType, object parameter, string language)
		{
			return null;
		}
	}
}
