﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using _03_Blend.Entities;

namespace _03_Blend.Services
{
   public class DataProvider
   {
      public IList<HomePageSection> GetSections()
      {
         if (Windows.ApplicationModel.DesignMode.DesignModeEnabled) return new List<HomePageSection>();

         return new List<HomePageSection>()
         {
            new HomePageSection() { Content = "Microsoft Surface is a series of tablets designed and marketed by Microsoft. Announced on June 18, 2012 by CEO Steve Ballmer at a Los Angeles event in Milk Studios, the Surface was the first major initiative by Microsoft to integrate its Windows operating system with its own hardware. The Surface debuted in two models, marketed as Surface and Surface Pro", Header = "Microsoft Surface", ImageUri = new Uri("ms-appx:///Assets/Images/SurfaceRT.jpg") },
            new HomePageSection() { Content = "An Ultrabook™ and tablet in one — powered by 3rd Gen Intel® Core™ processors and Windows 8. Features an innovative flip-hinge design and a 12.5 Full HD display.", Header = "DELL XPS Duo", ImageUri = new Uri("ms-appx:///Assets/Images/XPSDuo.jpg") },
            new HomePageSection() { Content = "The Asus VivoTab is powered by a 1.8 Ghz Intel Atom Z2760 Dual Core CPU, 2 GB of RAM and 64 GB(SSD) of storage. The display is a 11.6 Corning Fit Glass display, with a capacitive touch screen, and a Wacom digitizer. The tablet has two cameras (2 MP front and 8 MP rear with flash), Wi-Fi and Bluetooth 4.0 connectivity, mini-HDMI output, a microSD card slot, and a 10.5 hour battery life. The detachable keyboard dock accessory contains an additional battery (increasing the tablet's battery life to 19 hours) and a USB port.", Header = "ASUS VivoTab", ImageUri = new Uri("ms-appx:///Assets/Images/vivotab.jpg") }
         };
      }
   }
}
