﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using _01_XamlEditor.Types;

namespace _01_XamlEditor
{
   public class MainPageViewModel : ViewModelBase
   {
      public MainPageViewModel()
      {
         this.Header = "Hello CommunityDays 2013";
         this.Employees = new ObservableCollection<Employee>()
         {
            new Employee(){ FirstName="Marco", LastName="Rossi"},
            new Employee(){ FirstName="Giulia", LastName="Verdi"}
         };
      }

      public string Header { get; private set; }

      public ObservableCollection<Employee> Employees { get; private set; }
   }
}
