﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using _03_Blend.Entities;
using _03_Blend.Infrastructure;
using GalaSoft.MvvmLight;
using GalaSoft.MvvmLight.Command;
using Windows.UI.Xaml;
using Windows.UI.Xaml.Controls;

namespace _03_Blend.ViewModels
{
   public class TabletDetailViewModel : ViewModelBase
   {      

#if DEBUG
      public TabletDetailViewModel()
      {
         this.Section = new HomePageSection() { Content = "Lorem ipsum dolor sit amet, probatus imperdiet nec ut, mea prima mundi causae et, vim nibh abhorreant et. Mei fugit essent neglegentur ad, congue virtute scaevola mea ut, vis doming perpetua ei. Consul ignota noluisse eum eu, vix liber delicatissimi ex, tation consulatu usu at.", Header = "Tablet 1", ImageUri = new Uri("ms-appx:///Assets/Images/SurfaceRT.jpg") };
      }
#endif

      public TabletDetailViewModel(ApplicationController applicationController)
      {
         this.Section = applicationController.SelectedSection;
         this.GoBackCommand = new RelayCommand(() =>
         {
            (Window.Current.Content as Frame).GoBack();
         });
      }

      public HomePageSection Section { get; set; }

      public RelayCommand GoBackCommand { get; private set; }
   }
}
