﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using _03_Blend.Infrastructure;
using _03_Blend.Services;

namespace _03_Blend.ViewModels
{
   public class ViewModelLocator
   {
      private static ApplicationController applicationController = new ApplicationController();
      public MainPageViewModel MainPageViewModel
      {
         get
         {
            return new MainPageViewModel(new DataProvider(), applicationController);
         }
      }

      public TabletDetailViewModel TabletDetailViewModel
      {
         get
         {
            return new TabletDetailViewModel(applicationController);
         }
      }
   }
}
